@charset "UTF-8";

/* リセットCSS */
* {
    margin: 0;
    padding: 0;
}

/* ふぉんとのていぎ　　　　　　 ここから */
/* M PLUS Rounded 1c: CSSクラス */
.m-plus-rounded-1c-regular {
  font-family: "M PLUS Rounded 1c", sans-serif;
  font-weight: 400;
  font-style: normal;
}
/* ふぉんとのていぎ　　　　　　 ここまで */

/*●●●●●●●●●●●●　jQueryのハンバーガメニューのあらまし　ここから　●●●●●●●●●● */

nav.NavMenu{
	position: fixed;
	z-index: 2;/* ×ボタン押せないからちょっと優先度調整している */
	top: 0;
	right: 0;
	background: rgb(236, 236, 77);
	color: #000;
	text-align: center;
	width: 40%;
    transform: translateX(200%);
    transition: 0.5s;
    border-radius: 20px;
	transition: 1s;
}

nav.NavMenu ul{
	background-image: gray;
	width: 100%;
	margin: 0 auto;
	padding: 0;
}

nav.NavMenu ul li {
	font-size: 1.1em;
	list-style-type: none;
	padding: 0;
	width: 100%;
	border-right: 1px dotted #333;
}

nav.NavMenu ul li:nth-child(3) {
	font-size: 1.1em;
	list-style-type: none;
	padding: 0;
	width: 100%;
	border-right: 1px dotted rgb(236, 236, 77);;
}

nav.NavMenu ul li:last-child{
	padding-bottom: 0;
	border-bottom: none;
}

nav.NavMenu ul li a{
	display: block;
	color: #000;
	padding: 1em 0;
}


nav.NavMenu.active{
    transform: translateX(0%);
    transition: 1s;
}

.Toggle {
	display: flex;
	position: fixed;
	right: 13px;
	top: 12px;
	width: 42px;
	height: 42px;
	cursor: pointer;
	z-index: 3;
}

.Toggle span {
	display: block;
	position: absolute;
	width: 30px;
	border-bottom: solid 3px #000;/* はんばーがのせんの太さなど */
	transition: .35s;/* ×からもどるために秒数もうけてる */
	left: 6px;
}

.Toggle span:nth-child(1) {
	top: 9px;
}

.Toggle span:nth-child(2) {
	top: 18px;
}

.Toggle span:nth-child(3) {
	top: 27px;
}

/* ×印のことをいっている */
.Toggle.active span:nth-child(1) {
	top: 18px;
	left: 6px;
	transform: rotate(-45deg);
}

.Toggle.active span:nth-child(2),
.Toggle.active span:nth-child(3) {
	top: 18px;
	transform: rotate(45deg);
}
/*●●●●●●●●●●●●　jQueryのハンバーガメニューのあらまし　ここまで　●●●●●●●●●● */

/* ================================================== */
.sakuhinPh_tidimi {
    display: flex;
    width: 30%;
    margin-right: auto;
    margin-left: auto;
    padding: 3%;
}
/* ================================================== */

body {
  display: flex;
  flex-direction: column;
  min-height: 120vh; /* 画面全体の高さを確保 */
  margin: 0;
}

/* へったー　ここから */
header {
    display: flex;/* 会社名+なび　よこならび */
    margin-left: auto;
    margin-right: auto;
    font-size: 100%;
}

.haikei_image {
    position: fixed;
    top: 0;
    width: 100%;
    height: 100px;/* へったーの高さ　ここで変えれる。 */
    background-image: url(../images/hanabi_batibati.png);
    background-size: cover;
    background-position: center;
    /* ↓画像を半透明にするの　ここから */
    /* 半透明の白をブレンドしてかぶせる */
    background-color: rgba(255,255,255,0.6);
    background-blend-mode: lighten;
    /* ↑画像を半透明にするの　ここまで */
    z-index: 100000;
}
.rogo_marge {
    display: flex;
    width: 60%;
}

.jikosyoukai_marge {
    display: flex;
    width: 70%;
    margin: 0 auto;
}

.rogo_kaisya {
    display: flex;
    width: 45%;
    justify-content: left;
}

.rogoPh img {
    width: 80px;
    padding: 8% 0;
    padding-left: 35%;
    height: auto;
}

.rogoPh img:hover {
    transition: 0.5s;
    animation: idou 2s linear infinite;
}

@keyframes idou {
    20% {
    transform: translateY(-5px);
    }
    80% {
    transform: translateY(5px);
    }
    100% {
    transform: translateY(0px);
    }
}

.NavMenu {
    width: 60%;
    padding-top: 2%;
    margin-right: auto;
    margin-left: auto;
}

.NavMenu .nav_list {
    display: flex;/* 項目のよこならび（about contact など） */
    align-items: center;
    list-style-type: none;/* マーカの打ち消し */
    margin-left: -1%;
    margin-top: auto;
    margin-bottom: auto;
    /* background: radial-gradient(rgba(247, 153, 46, 0.534),rgb(244, 222, 184));ぐらでかけれる */
}

.NavMenu .nav_list li {
    width: 55%;
    text-align: center;
}

.NavMenu .nav_list li a {
    height: 5.9vw;
    text-align: center;
    line-height: 2;
    text-decoration: none;/* 下線の打ち消し */
    color: #202020;
    font-size: 120%;
    font-family: "RocknRoll One";
    /* 文字の白ククリ的な？ */
    text-shadow: 0px 0px 12px #fff;
    transition: 1s;
}

/* ナビとマウスポインタを重ねたらホバーする　ここから */
.NavMenu .nav_list li a:hover {
    scale: 1.2;
    color: red;
    transition: 1s;
}
/* ナビとマウスポインタを重ねたらホバーする　ここまで */

.tuduki {
    width: 40%;
    height: 5%;
    background-color: #202020;
    color: white;
    text-align: center;
    margin-left: auto;
}

h1 {
    width: 55%;
    height: 5vw;
    padding-top: 3.5%;
    padding-left: 7%;
    font-family: "M PLUS Rounded 1c", sans-serif;
    font-weight: 900;
    line-height: 1;
    transition: 0.5s;
}

h1:hover {
    transform: scale(1.1,1.1);
    transition: 0.5s;
}

h1 a {
    text-decoration: none;
}
/* へったー　ここまで */

/* めいん　　　ここから */
main {
    display: block;
    background-image: url(../images/main_visual_tate.png);
    background-size: cover;
    background-repeat: no-repeat;
    width: 100%;
    height: 650vh;
}

.jikosyoukai_marge {
    display: flex;
    width: 70%;
    margin: 0 auto;
    padding-top: 0;
    padding-bottom: 4%;
}

.syoukai_namae {
    width: 20%;
    padding: 4% 2% 0 0;
    text-align: center;
    margin-right: auto;
    margin-left: auto;
}

.jikosyoukai {
    width: 69%;
    line-height: 2;
    justify-items: center;
    border-radius: 20px;
    padding: 3%;
    background-color: rgb(169, 244, 146);
    z-index: 100;
}


.jikosyoukai_marge2 {
    display: flex;
    width: 70%;
    margin: 0 auto;
    padding-top: 0;
    padding-bottom: 4%;
}

.syoukai_namae2 {
    width: 20%;
    padding: 4% 2% 0 0;
    text-align: center;
    margin-right: auto;
    margin-left: auto;
}

.jikosyoukai2 {
    width: 69%;
    line-height: 2;
    justify-items: center;
    border-radius: 20px;
    padding: 3%;
    background-color: rgb(169, 244, 146);
    z-index: 100;
}


.jikosyoukai_marge3 {
    display: flex;
    width: 70%;
    margin: 0 auto;
    padding-top: 0;
    padding-bottom: 4%;
}

.syoukai_namae3 {
    width: 20%;
    padding: 4% 2% 0 0;
    text-align: center;
    margin-right: auto;
    margin-left: auto;
}

.jikosyoukai3 {
    width: 89%;
    line-height: 2;
    justify-items: center;
    border-radius: 20px;
    padding: 3%;
    background-color: rgb(169, 244, 146);
    z-index: 100;
}

h2 {
    width: 20%;
    margin-right: auto;
    margin-left: auto;
    margin-top: -5%;
    padding-top: 15%;
    padding-bottom: 7%;
    color: bisque;
    text-align: center;
    font-size: 200%;
    background-color: red;
}

h2 p:nth-child(2) {
    font-size: 1.3vw;
}

h3 {
    color: red;
    /* 文字の白ククリ的な？ */
    text-shadow: 0px 0px 2px #fff;
}

strong {
    width: 100%;
    height: 3vw;
    /* 文字の白ククリ的な？ */
    text-shadow: 0px 0px 2px #fff;
    color: rgb(0, 0, 0);
    font-size: 100%;
}

.syoukaiPh img {
    width: 100%;
    clip-path: circle(50% at 50% 50%);
}

p {
    white-space: pre-wrap;
    font-size: 100%;
}

section:first-child {
    margin-top: 10%;
}



section {
    margin-top: 3%;
}


span {
    padding: 0 1em;
}

/* ●★●★●★●★　　作品集　ここから */

.slideinLeft {
  animation: slideinLeft 3s infinite;
}

@keyframes slideinLeft {
  0% {
    transform: translateX(-50px);
  }
  100% {
    transform: translateX(0);
  }
}

.slideinRight {
  animation: slideinRight 3s infinite;
}

@keyframes slideinRight {
  0% {
    transform: translateX(-50px);
  }
  100% {
    transform: translateX(0);
  }
}


.sakuhin_marge {
    display: flex;
    margin-right: auto;
    margin-left: auto;
}

.tuduki {
    width: 60%;
    height: 5%;
    background-color: #202020;
    color: white;
    text-align: center;
    margin-left: auto;
}

.sakuhinPh {
    /* スムーズに光るアニメーション */
    transition: all 0.3s ease; 
    cursor: pointer;
}

.sakuhinPh img {
    min-width: 100%;
    height: auto;
}

.sakuhinPh:hover {
    /* 白または明るい色でぼかしの強い影をつける */
    box-shadow: 0 0 15px 5px rgba(255, 255, 255, 0.6);
}

figure {
    width: 50%;
    padding: 9% 5%;
}

figure a {
    text-decoration: none;
}

figcaption {
    padding: 2% 0;
    text-align: center;
    background-color: rgb(232, 232, 232);
}

.sakuhinPh {
    text-align: center;
}

.sakuhinPh img {
    width: 50%;
}
/* ●★●★●★●★　　作品集　ここまで */
/* めいん　　　ここまで */


/* ふったー　ここから */
footer {
    position: fixed;
    bottom: 0;
    width: 100%;
    margin-top: 24.5%;
    padding-right: 5%;
    text-align: right;
    height: 5%;
    background-color: burlywood;
    z-index: 1000;
}
footer p {
    padding-right: 2%;
}
/* ふったー　ここまで */